package szereplo;
import jatek.*;
public class Szereplo {
    protected int x, y;
    public int getX() {
        return x;
    }
    public int getY() {
        return y;
    }
    public boolean erint(Szereplo s) {
        if(s.x==x && s.y==y) return true;
        return false;
    }
    public boolean balSzomszedFal(int[][] terkep) {
        if(terkep[x-2][y]==Utveszto.FAL) return true;
        return false;
    }
    public boolean felsoSzomszedFal(int[][] terkep) {
        if(terkep[x][y-2]==Utveszto.FAL) return true;
        return false;
    }
    public boolean jobbSzomszedFal(int[][] terkep) {
        if(terkep[x+2][y]==Utveszto.FAL) return true;
        return false;
    }
    public boolean alsoSzomszedFal(int[][] terkep) {
        if(terkep[x][y+2]==Utveszto.FAL) return true;
        return false;
    }
    public Szereplo() {}
    public Szereplo(Szereplo s) {
        this.x=s.getX();
        this.y=s.getY();
    }
}